<?php

/*
 * Basic city entity
 */

class CableOwlCity {

    /**
     * The city ID 
     *  
     * @var int 
     */
    private $id;

    /**
     * City name
     *  
     * @var string
     */
    private $name;

    /*
     * Sets name for current city
     * @param string $name : city name
     * @return void
     */

    public function setName($name) {
        $name = strip_tags($name);
        $name = mysql_real_escape_string($name);
        $this->name = $name;
    }

    /*
     * Gets name of city
     * 
     * @return string
     */

    public function getName() {
        $result = $this->name;
        return ($result);
    }

    /*
     * Sets ID for current city
     * @param int $id : city id
     * @return void
     */

    public function setId($id) {
        $id = vf($id, 3);
        $this->id = $id;
    }

    /*
     * Gets ID of city
     * 
     * @return string
     */

    public function getId() {
        $result = $this->id;
        return ($result);
    }

    /*
     * Creates new city
     * 
     * @return int
     */

    public function create() {
        if (!empty($this->name)) {
            $query = "INSERT INTO `co_city` (`id`,`name`) VALUES (NULL,'" . $this->name . "')";

            nr_query($query);
            $newId = simple_get_lastid('co_city');
            log_register("ADDRESS CITY ADD `" . $this->name . "` [" . $newId . "]");
            return ($newId);
        } else {
            throw new Exception("NO_CITY_NAME");
        }
    }

    /*
     * Saves current city name in database
     * 
     * @return void
     */

    public function save() {
        if ((!empty($this->name) AND (!empty($this->id)))) {
            simple_update_field('co_city', 'name', $this->name, "WHERE `id`='" . $this->id . "'");
            log_register("ADDRESS CITY CHANGE `" . $this->name . "` [" . $this->id . "]");
        } else {
            throw new Exception("NO_CITY_NAME NO_CITY_ID");
        }
    }

    /*
     * Deletes current city from database
     * 
     * @return void
     */

    public function delete() {
        if (!empty($this->id)) {
            $query = "DELETE FROM `co_city` WHERE `id`='" . $this->id . "'";
            nr_query($query);
            log_register("ADDRESS CITY DELETE [" . $this->id . "]");
        } else {
            throw new Exception("NO_CITY_ID");
        }
    }

    /*
     * Loads city from database
     * 
     * @return void
     */

    public function load() {
        if (!empty($this->id)) {
            $query = "SELECT `name` from `co_city` WHERE `id`='" . $this->id . "'";
            $rawData = simple_query($query);
            $this->name = $rawData['name'];
        } else {
            throw new Exception("NO_CITY_ID");
        }
    }

    /*
     * Returns array of all available cities
     * 
     * @return array
     */

    public function getAll() {
        $result = array();
        $query = "SELECT * from `co_city`";
        $all = simple_queryall($query);
        if (!empty($all)) {
            foreach ($all as $io => $each) {
                $result[$each['id']] = $each['name'];
            }
        }
        return ($result);
    }

}

/*
 * street entity
 */

class CableOwlStreet {

    /**
     * The street ID 
     *  
     * @var int 
     */
    private $id;

    /**
     * The associated city ID 
     *  
     * @var int 
     */
    private $cityid;

    /**
     * The street name
     *  
     * @var string
     */
    private $name;

    /*
     * Sets name for current street
     * @param string $name : street name
     * @return void
     */

    public function setName($name) {
        $name = strip_tags($name);
        $name = mysql_real_escape_string($name);
        $this->name = $name;
    }

    /*
     * Gets name of the street
     * 
     * @return string
     */

    public function getName() {
        $result = $this->name;
        return ($result);
    }

    /*
     * Sets ID for current street
     * @param string $id : street id
     * @return void
     */

    public function setId($id) {
        $id = vf($id, 3);
        $this->id = $id;
    }

    /*
     * Gets ID of the street
     * 
     * @return int
     */

    public function getId() {
        $result = $this->id;
        return ($result);
    }

    /*
     * Sets city ID for current street
     * @param string $id : city id
     * @return void
     */

    public function setCityId($id) {
        $id = vf($id, 3);
        $this->cityid = $id;
    }

    /*
     * Gets city ID of the street
     * 
     * @return int
     */

    public function getCityId() {
        $result = $this->cityid;
        return ($result);
    }

    /*
     * Creates new street
     * 
     * @return int
     */

    public function create() {
        if ((!empty($this->name)) AND (!empty($this->cityid))) {
            $query = "INSERT INTO `co_streets` (`id`,`cityid`,`name`) VALUES (NULL,'" . $this->cityid . "','" . $this->name . "')";
            nr_query($query);
            $newId = simple_get_lastid('co_streets');
            log_register("ADDRESS STREET ADD `" . $this->name . "` [" . $newId . "]");
            return ($newId);
        } else {
            throw new Exception("NO_STREET_NAME NO_CITY_ID");
        }
    }

    /*
     * Saves current street name in database
     * 
     * @return void
     */

    public function save() {
        if ((!empty($this->name) AND (!empty($this->id)))) {
            simple_update_field('co_streets', 'name', $this->name, "WHERE `id`='" . $this->id . "'");
            simple_update_field('co_streets', 'cityid', $this->cityid, "WHERE `id`='" . $this->id . "'");
            log_register("ADDRESS STREET CHANGE `" . $this->name . "` [" . $this->id . "]");
        } else {
            throw new Exception("NO_STREET_NAME NO_STREET_ID");
        }
    }

    /*
     * Deletes current city from database
     * 
     * @return void
     */

    public function delete() {
        if (!empty($this->id)) {
            $query = "DELETE FROM `co_streets` WHERE `id`='" . $this->id . "'";
            nr_query($query);
            log_register("ADDRESS STREET DELETE [" . $this->id . "]");
        } else {
            throw new Exception("NO_STREET_ID");
        }
    }

    /*
     * Loads street from database
     * 
     * @return void
     */

    public function load() {
        if (!empty($this->id)) {
            $query = "SELECT `name`,`cityid` from `co_streets` WHERE `id`='" . $this->id . "'";
            $rawData = simple_query($query);
            $this->name = $rawData['name'];
            $this->cityid = $rawData['cityid'];
        } else {
            throw new Exception("NO_STREET_ID");
        }
    }

    /*
     * Returns array of all available streets
     * 
     * @return array
     */

    public function getAll() {
        $result = array();
        $query = "SELECT * from `co_streets`";
        $all = simple_queryall($query);
        if (!empty($all)) {
            foreach ($all as $io => $each) {
                $result[$each['id']]['name'] = $each['name'];
                $result[$each['id']]['cityid'] = $each['cityid'];
            }
        }
        return ($result);
    }

}

/*
 * Build entity
 */

class CableOwlBuild {

    /**
     * The build ID 
     *  
     * @var int 
     */
    private $id;

    /**
     * The associated street ID 
     *  
     * @var int 
     */
    private $streetid;

    /**
     * The build number
     *  
     * @var string
     */
    private $number;

    /*
     * Sets number for build
     * @param string $number : build number
     * @return void
     */

    public function setNumber($number) {
        $number = strip_tags($number);
        $number = mysql_real_escape_string($number);
        $this->number = $number;
    }

    /*
     * Gets number of current build
     * 
     * @return string
     */

    public function getNumber() {
        $result = $this->number;
        return ($result);
    }

    /*
     * Sets ID for current build
     * @param string $id : build id
     * @return void
     */

    public function setId($id) {
        $id = vf($id, 3);
        $this->id = $id;
    }

    /*
     * Gets ID of the current instance of build
     * 
     * @return int
     */

    public function getId() {
        $result = $this->id;
        return ($result);
    }

    /*
     * Sets street ID for current build instance
     * @param string $id : street id
     * @return void
     */

    public function setStreetId($id) {
        $id = vf($id, 3);
        $this->streetid = $id;
    }

    /*
     * Gets street ID of the current build
     * 
     * @return int
     */

    public function getStreetId() {
        $result = $this->streetid;
        return ($result);
    }

    /*
     * Creates new build
     * 
     * @return int
     */

    public function create() {
        if ((!empty($this->number)) AND (!empty($this->streetid))) {
            $query = "INSERT INTO `co_builds` (`id`,`streetid`,`buildnum`) VALUES (NULL,'" . $this->streetid . "','" . $this->number . "')";
            nr_query($query);
            $newId = simple_get_lastid('co_builds');
            log_register("ADDRESS BUILD ADD `" . $this->number . "` [" . $newId . "]");
            return ($newId);
        } else {
            throw new Exception("NO_BUILD_NUMBER NO_STREET_ID");
        }
    }

    /*
     * Saves current build number in database
     * 
     * @return void
     */

    public function save() {
        if ((!empty($this->number) AND (!empty($this->id)))) {
            simple_update_field('co_builds', 'buildnum', $this->number, "WHERE `id`='" . $this->id . "'");
            log_register("ADDRESS BUILD CHANGE `" . $this->number . "` [" . $this->id . "]");
        } else {
            throw new Exception("NO_BUILD_NUMBER NO_BUILD_ID");
        }
    }

    /*
     * Deletes current build from database
     * 
     * @return void
     */

    public function delete() {
        if (!empty($this->id)) {
            $query = "DELETE FROM `co_builds` WHERE `id`='" . $this->id . "'";
            nr_query($query);
            log_register("ADDRESS BUILD DELETE [" . $this->id . "]");
        } else {
            throw new Exception("NO_BUILD_ID");
        }
    }

    /*
     * Loads build from database
     * 
     * @return void
     */

    public function load() {
        if (!empty($this->id)) {
            $query = "SELECT `buildnum`,`streetid` from `co_builds` WHERE `id`='" . $this->id . "'";
            $rawData = simple_query($query);
            $this->number = $rawData['buildnum'];
            $this->streetid = $rawData['streetid'];
        } else {
            throw new Exception("NO_BUILD_ID");
        }
    }

    /*
     * Returns array of all available builds
     * 
     * @return array
     */

    public function getAll() {
        $result = array();
        $query = "SELECT * from `co_builds`";
        $all = simple_queryall($query);
        if (!empty($all)) {
            foreach ($all as $io => $each) {
                $result[$each['id']]['number'] = $each['buildnum'];
                $result[$each['id']]['streetid'] = $each['streetid'];
            }
        }
        return ($result);
    }

}

/*
 * Basic apartment class
 */

class CableOwlApartment {

    /**
     * The apartment ID
     *  
     * @var int 
     */
    private $id;

    /**
     * The associated building ID 
     *  
     * @var int 
     */
    private $buildid;

    /**
     * The apartment ID
     *  
     * @var string
     */
    private $apt;

    /*
     * Sets apartment number for this apartment
     * @param string $name : street name
     * @return void
     */

    public function setApt($apt) {
        $apt = strip_tags($apt);
        $apt = mysql_real_escape_string($apt);
        $this->apt = $apt;
    }

    /*
     * Gets apt from this apartment
     * 
     * @return string
     */

    public function getApt() {
        $result = $this->apt;
        return ($result);
    }

    /*
     * Sets ID for current apartment
     * @param string $id : apartment id
     * @return void
     */

    public function setId($id) {
        $id = vf($id, 3);
        $this->id = $id;
    }

    /*
     * Gets ID of the apartment
     * 
     * @return int
     */

    public function getId() {
        $result = $this->id;
        return ($result);
    }

    /*
     * Sets building ID for current apartment
     * @param string $id : build id
     * @return void
     */

    public function setBuildId($id) {
        $id = vf($id, 3);
        $this->buildid = $id;
    }

    /*
     * Gets building id of this apartment
     * 
     * @return int
     */

    public function getBuildId() {
        $result = $this->buildid;
        return ($result);
    }

    /*
     * Creates new apartment
     * 
     * @return int
     */

    public function create() {
        if ((!empty($this->apt)) AND (!empty($this->buildid))) {
            $query = "INSERT INTO `co_apt` (`id`,`buildid`,`apt`) VALUES (NULL,'" . $this->buildid . "','" . $this->apt . "')";
            nr_query($query);
            $newId = simple_get_lastid('co_apt');
            log_register("ADDRESS APARTMENT ADD `" . $this->apt . "` [" . $newId . "]");
            return ($newId);
        } else {
            throw new Exception("NO_APARTMENT_APT NO_BUILD_ID");
        }
    }

    /*
     * Saves current apartment in database
     * 
     * @return void
     */

    public function save() {
        if ((!empty($this->apt) AND (!empty($this->id)))) {
            simple_update_field('co_apt', 'apt', $this->apt, "WHERE `id`='" . $this->id . "'");
            log_register("ADDRESS STREET CHANGE `" . $this->name . "` [" . $this->id . "]");
        } else {
            throw new Exception("NO_APARTMENT_APT NO_APARTMENT_ID");
        }
    }

    /*
     * Deletes current partment from database
     * 
     * @return void
     */

    public function delete() {
        if (!empty($this->id)) {
            $query = "DELETE FROM `co_apt` WHERE `id`='" . $this->id . "'";
            nr_query($query);
            log_register("ADDRESS APARTMENT DELETE [" . $this->id . "]");
        } else {
            throw new Exception("NO_APARTMENT_ID");
        }
    }

    /*
     * Loads apartment from database
     * 
     * @return void
     */

    public function load() {
        if (!empty($this->id)) {
            $query = "SELECT `apt`,`builid` from `co_apt` WHERE `id`='" . $this->id . "'";
            $rawData = simple_query($query);
            $this->apt = $rawData['apt'];
            $this->buildid = $rawData['buildid'];
        } else {
            throw new Exception("NO_APARTMENT_ID");
        }
    }

    /*
     * Returns array of all available apartments
     * 
     * @return array
     */

    public function getAll() {
        $result = array();
        $query = "SELECT * from `co_apt`";
        $all = simple_queryall($query);
        if (!empty($all)) {
            foreach ($all as $io => $each) {
                $result[$each['id']]['apt'] = $each['apt'];
                $result[$each['id']]['buildid'] = $each['buildid'];
            }
        }
        return ($result);
    }

}

/*
 * Basic user address class 
 */

class CableOwlAddress {

    /**
     * The address ID
     *  
     * @var int 
     */
    private $id;

    /**
     * The associated apartment ID 
     *  
     * @var int 
     */
    private $aptid;

    /**
     * The user ID
     *  
     * @var string
     */
    private $userid;

    /*
     * Sets aptid for address
     * @param string $aptid: existing apartment ID
     * @return void
     */

    public function setAptid($aptid) {
        $aptid = vf($aptid, 3);
        $this->aptid = $aptid;
    }

    /*
     * Gets apartment id for address
     * 
     * @return string
     */

    public function getAptid() {
        $result = $this->aptid;
        return ($result);
    }

    /*
     * Sets associated user ID
     * @param string $userid : existing user ID
     * @return void
     */

    public function setUserId($userid) {
        $userid = vf($userid, 3);
        $this->userid = $userid;
    }
    
    /*
     * Gets associated user ID
     * 
     * @return string
     */

    public function getUserId() {
        $result=  $this->userid;
        return ($result);
    }

    /*
     * Gets ID of the current instance of address
     * 
     * @return int
     */

    public function getId() {
        $result = $this->id;
        return ($result);
    }

    /*
     * Sets ID of current instance of address
     * @param string $id : address ID
     * @return void
     */

    public function setId($id) {
        $id = vf($id, 3);
        $this->id = $id;
    }

  
    /*
     * Creates new address in database
     * 
     * @return int
     */

    public function create() {
        if ((!empty($this->aptid)) AND (!empty($this->userid))) {
            $query = "INSERT INTO `co_address` (`id`,`aptid`,`userid`) VALUES (NULL,'" . $this->aptid."','" . $this->userid . "')";
            nr_query($query);
            $newId = simple_get_lastid('co_address');
            log_register("ADDRESS ADDRESS ADD ((" . $this->userid.")) [" . $newId . "]");
            return ($newId);
        } else {
            throw new Exception("NO_USER_ID NO_APARTMENT_ID");
        }
    }

   
    /*
     * Deletes current address from database
     * 
     * @return void
     */

    public function delete() {
        if (!empty($this->id)) {
            $query = "DELETE FROM `co_address` WHERE `id`='" . $this->id . "'";
            nr_query($query);
            log_register("ADDRESS ADDRESS DELETE [" . $this->id . "]");
        } else {
            throw new Exception("NO_ADDRESS_ID");
        }
    }

    /*
     * Loads address from database
     * 
     * @return void
     */

    public function load() {
        if (!empty($this->id)) {
            $query = "SELECT `aptid`,`userid` from `co_address` WHERE `id`='" . $this->id . "'";
            $rawData = simple_query($query);
            $this->aptid = $rawData['aptid'];
            $this->userid = $rawData['userid'];
        } else {
            throw new Exception("NO_ADDRESS_ID");
        }
    }

    /*
     * Returns array of all available address
     * 
     * @return array
     */

    public function getAll() {
        $result = array();
        $query = "SELECT * from `co_address`";
        $all = simple_queryall($query);
        if (!empty($all)) {
            foreach ($all as $io => $each) {
                $result[$each['id']]['aptid'] = $each['aptid'];
                $result[$each['id']]['userid'] = $each['userid'];
            }
        }
        return ($result);
    }

}

?>
