SET @OLD_UNIQUE_CHECKS=@@UNIQUE_CHECKS, UNIQUE_CHECKS=0;
SET @OLD_FOREIGN_KEY_CHECKS=@@FOREIGN_KEY_CHECKS, FOREIGN_KEY_CHECKS=0;
SET @OLD_SQL_MODE=@@SQL_MODE, SQL_MODE='TRADITIONAL';


-- -----------------------------------------------------
-- Table `cableowl`.`co_users`
-- -----------------------------------------------------
CREATE  TABLE IF NOT EXISTS `cableowl`.`co_users` (
  `id` INT NOT NULL AUTO_INCREMENT ,
  `cash` DOUBLE NOT NULL ,
  `credit` DOUBLE NOT NULL ,
  `frozen` TINYINT NOT NULL ,
  `connected` TINYINT NOT NULL ,
  PRIMARY KEY (`id`) )
ENGINE = MyISAM
DEFAULT CHARACTER SET = utf8
COLLATE = utf8_general_ci
COMMENT = 'cable owl base users';


-- -----------------------------------------------------
-- Table `cableowl`.`co_channels`
-- -----------------------------------------------------
CREATE  TABLE IF NOT EXISTS `cableowl`.`co_channels` (
  `id` INT NOT NULL AUTO_INCREMENT ,
  `name` VARCHAR(255) NOT NULL ,
  `price` DOUBLE NULL ,
  `source` VARCHAR(255) NULL ,
  `icon` VARCHAR(255) NULL ,
  PRIMARY KEY (`id`) )
ENGINE = MyISAM
DEFAULT CHARACTER SET = utf8
COLLATE = utf8_general_ci
COMMENT = 'TV channels data - using for price calculating and other pur' /* comment truncated */;


-- -----------------------------------------------------
-- Table `cableowl`.`co_tariffs`
-- -----------------------------------------------------
CREATE  TABLE IF NOT EXISTS `cableowl`.`co_tariffs` (
  `id` INT NOT NULL AUTO_INCREMENT ,
  `name` VARCHAR(255) NOT NULL ,
  `typeid` INT NOT NULL ,
  `price` DOUBLE NULL ,
  `channelids` TEXT NULL ,
  PRIMARY KEY (`id`) )
ENGINE = MyISAM
DEFAULT CHARACTER SET = utf8
COLLATE = utf8_general_ci
COMMENT = 'tariffs used for generating invoices via services';


-- -----------------------------------------------------
-- Table `cableowl`.`co_servicetypes`
-- -----------------------------------------------------
CREATE  TABLE IF NOT EXISTS `cableowl`.`co_servicetypes` (
  `id` INT NOT NULL AUTO_INCREMENT ,
  `name` VARCHAR(255) NOT NULL ,
  PRIMARY KEY (`id`) )
ENGINE = MyISAM
DEFAULT CHARACTER SET = utf8
COLLATE = utf8_general_ci
COMMENT = 'types of services which cableowl will process';


-- -----------------------------------------------------
-- Table `cableowl`.`co_services`
-- -----------------------------------------------------
CREATE  TABLE IF NOT EXISTS `cableowl`.`co_services` (
  `id` INT NOT NULL AUTO_INCREMENT ,
  `date` DATETIME NOT NULL ,
  `userid` INT NOT NULL ,
  `tariffid` INT NOT NULL ,
  `active` TINYINT NOT NULL ,
  PRIMARY KEY (`id`) )
ENGINE = MyISAM
DEFAULT CHARACTER SET = utf8
COLLATE = utf8_general_ci
COMMENT = 'services which assigned for users';


-- -----------------------------------------------------
-- Table `cableowl`.`co_realnames`
-- -----------------------------------------------------
CREATE  TABLE IF NOT EXISTS `cableowl`.`co_realnames` (
  `id` INT NOT NULL AUTO_INCREMENT ,
  `userid` INT NOT NULL ,
  `realname` VARCHAR(255) NULL ,
  PRIMARY KEY (`id`) )
ENGINE = MyISAM
DEFAULT CHARACTER SET = utf8
COLLATE = utf8_general_ci
COMMENT = 'user realnames data';


-- -----------------------------------------------------
-- Table `cableowl`.`co_streets`
-- -----------------------------------------------------
CREATE  TABLE IF NOT EXISTS `cableowl`.`co_streets` (
  `id` INT NOT NULL AUTO_INCREMENT ,
  `cityid` INT NOT NULL ,
  `name` VARCHAR(255) NOT NULL ,
  PRIMARY KEY (`id`) )
ENGINE = MyISAM
DEFAULT CHARACTER SET = utf8
COLLATE = utf8_general_ci;


-- -----------------------------------------------------
-- Table `cableowl`.`co_contracts`
-- -----------------------------------------------------
CREATE  TABLE IF NOT EXISTS `cableowl`.`co_contracts` (
  `id` INT NOT NULL AUTO_INCREMENT ,
  `userid` INT NOT NULL ,
  `contract` VARCHAR(45) NULL ,
  `date` DATETIME NULL ,
  PRIMARY KEY (`id`) )
ENGINE = MyISAM
DEFAULT CHARACTER SET = utf8
COLLATE = utf8_general_ci
COMMENT = 'user contracts data';


-- -----------------------------------------------------
-- Table `cableowl`.`co_city`
-- -----------------------------------------------------
CREATE  TABLE IF NOT EXISTS `cableowl`.`co_city` (
  `id` INT NOT NULL AUTO_INCREMENT ,
  `name` VARCHAR(255) NOT NULL ,
  PRIMARY KEY (`id`) )
ENGINE = MyISAM
DEFAULT CHARACTER SET = utf8
COLLATE = utf8_general_ci;


-- -----------------------------------------------------
-- Table `cableowl`.`co_builds`
-- -----------------------------------------------------
CREATE  TABLE IF NOT EXISTS `cableowl`.`co_builds` (
  `id` INT NOT NULL AUTO_INCREMENT ,
  `streetid` INT NOT NULL ,
  `buildnum` VARCHAR(45) NOT NULL ,
  PRIMARY KEY (`id`) )
ENGINE = MyISAM
DEFAULT CHARACTER SET = utf8
COLLATE = utf8_general_ci;


-- -----------------------------------------------------
-- Table `cableowl`.`co_apt`
-- -----------------------------------------------------
CREATE  TABLE IF NOT EXISTS `cableowl`.`co_apt` (
  `id` INT NOT NULL AUTO_INCREMENT ,
  `buildid` INT NOT NULL ,
  `apt` VARCHAR(45) NULL ,
  PRIMARY KEY (`id`) )
ENGINE = MyISAM
DEFAULT CHARACTER SET = utf8
COLLATE = utf8_general_ci;


-- -----------------------------------------------------
-- Table `cableowl`.`co_address`
-- -----------------------------------------------------
CREATE TABLE IF NOT EXISTS `cableowl`.`co_address` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `aptid` int(11) NOT NULL,
  `userid` int(11) NOT NULL,
  PRIMARY KEY (`id`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8 COMMENT='users address data' AUTO_INCREMENT=1 ;


-- -----------------------------------------------------
-- Table `cableowl`.`co_rawaddress`
-- -----------------------------------------------------
CREATE  TABLE IF NOT EXISTS `cableowl`.`co_rawaddress` (
  `id` INT NOT NULL AUTO_INCREMENT ,
  `userid` INT NOT NULL ,
  `street` VARCHAR(255) NULL ,
  `build` VARCHAR(45) NULL ,
  `apt` VARCHAR(45) NULL COMMENT 'raw user address - using only for migration purposes' ,
  PRIMARY KEY (`id`) )
ENGINE = MyISAM
DEFAULT CHARACTER SET = utf8
COLLATE = utf8_general_ci
COMMENT = 'raw user address - using only for migration purposes';


-- -----------------------------------------------------
-- Table `cableowl`.`co_phones`
-- -----------------------------------------------------
CREATE  TABLE IF NOT EXISTS `cableowl`.`co_phones` (
  `id` INT NOT NULL AUTO_INCREMENT ,
  `userid` INT NOT NULL ,
  `phone` VARCHAR(255) NOT NULL ,
  `mobile` TINYINT NOT NULL ,
  PRIMARY KEY (`id`) )
ENGINE = MyISAM
DEFAULT CHARACTER SET = utf8
COLLATE = utf8_general_ci
COMMENT = 'user phones data';


-- -----------------------------------------------------
-- Table `cableowl`.`co_ublinks`
-- -----------------------------------------------------
CREATE  TABLE IF NOT EXISTS `cableowl`.`co_ublinks` (
  `id` INT NOT NULL ,
  `userid` INT NOT NULL ,
  `ublogin` VARCHAR(255) NOT NULL ,
  PRIMARY KEY (`id`) )
ENGINE = MyISAM
DEFAULT CHARACTER SET = utf8
COLLATE = utf8_general_ci
COMMENT = 'Ubilling internet users linking';


-- -----------------------------------------------------
-- Table `cableowl`.`co_cashtypes`
-- -----------------------------------------------------
CREATE  TABLE IF NOT EXISTS `cableowl`.`co_cashtypes` (
  `id` INT NOT NULL AUTO_INCREMENT ,
  `typename` VARCHAR(255) NOT NULL ,
  PRIMARY KEY (`id`) )
ENGINE = MyISAM
DEFAULT CHARACTER SET = utf8
COLLATE = utf8_general_ci;


-- -----------------------------------------------------
-- Table `cableowl`.`co_payments`
-- -----------------------------------------------------
CREATE  TABLE IF NOT EXISTS `cableowl`.`co_payments` (
  `id` INT NOT NULL AUTO_INCREMENT ,
  `userid` INT NOT NULL ,
  `date` DATETIME NOT NULL ,
  `summ` DOUBLE NOT NULL ,
  `target_month` INT NOT NULL ,
  `target_year` INT NOT NULL ,
  `notes` VARCHAR(255) NULL ,
  `admin` VARCHAR(255) NULL ,
  PRIMARY KEY (`id`) )
ENGINE = MyISAM
DEFAULT CHARACTER SET = utf8
COLLATE = utf8_general_ci
COMMENT = 'payments data';


-- -----------------------------------------------------
-- Table `cableowl`.`co_paymentscorr`
-- -----------------------------------------------------
CREATE  TABLE IF NOT EXISTS `cableowl`.`co_paymentscorr` (
  `id` INT NOT NULL AUTO_INCREMENT ,
  `userid` INT NOT NULL ,
  `date` DATETIME NOT NULL ,
  `summ` DOUBLE NOT NULL ,
  `target_month` INT NOT NULL ,
  `target_year` INT NOT NULL ,
  `notes` VARCHAR(255) NULL ,
  `admin` VARCHAR(255) NULL ,
  PRIMARY KEY (`id`) )
ENGINE = MyISAM
DEFAULT CHARACTER SET = utf8
COLLATE = utf8_general_ci
COMMENT = 'payments correction data';


-- -----------------------------------------------------
-- Table `cableowl`.`co_invoices`
-- -----------------------------------------------------
CREATE  TABLE IF NOT EXISTS `cableowl`.`co_invoices` (
  `id` INT NOT NULL AUTO_INCREMENT ,
  `userid` INT NOT NULL ,
  `date` DATETIME NOT NULL ,
  `summ` DOUBLE NOT NULL ,
  `balance` VARCHAR(255) NOT NULL ,
  `month` INT NOT NULL ,
  `year` INT NOT NULL ,
  `admin` VARCHAR(255) NOT NULL ,
  `serviceid` INT NOT NULL ,
  `serviceopts` VARCHAR(255) NULL ,
  PRIMARY KEY (`id`) )
ENGINE = MyISAM
DEFAULT CHARACTER SET = utf8
COLLATE = utf8_general_ci
COMMENT = 'payments data';


-- -----------------------------------------------------
-- Table `cableowl`.`co_signups`
-- -----------------------------------------------------
CREATE  TABLE IF NOT EXISTS `cableowl`.`co_signups` (
  `id` INT NOT NULL AUTO_INCREMENT ,
  `date` DATETIME NOT NULL ,
  `userid` INT NOT NULL ,
  `admin` VARCHAR(255) NOT NULL ,
  PRIMARY KEY (`id`) )
ENGINE = MyISAM
COMMENT = 'signup logs';


-- -----------------------------------------------------
-- Table `cableowl`.`co_activity`
-- -----------------------------------------------------
CREATE  TABLE IF NOT EXISTS `cableowl`.`co_activity` (
  `id` INT NOT NULL AUTO_INCREMENT ,
  `userid` INT NOT NULL ,
  `connected` TINYINT NOT NULL ,
  `date` DATETIME NOT NULL ,
  `admin` VARCHAR(255) NOT NULL ,
  PRIMARY KEY (`id`) )
ENGINE = MyISAM;



SET SQL_MODE=@OLD_SQL_MODE;
SET FOREIGN_KEY_CHECKS=@OLD_FOREIGN_KEY_CHECKS;
SET UNIQUE_CHECKS=@OLD_UNIQUE_CHECKS;

-- -----------------------------------------------------
-- Data for table `cableowl`.`co_servicetypes`
-- -----------------------------------------------------
START TRANSACTION;
USE `cableowl`;
INSERT INTO `cableowl`.`co_servicetypes` (`id`, `name`) VALUES (NULL, 'Analog CaTV');
INSERT INTO `cableowl`.`co_servicetypes` (`id`, `name`) VALUES (NULL, 'Digital CaTV');
INSERT INTO `cableowl`.`co_servicetypes` (`id`, `name`) VALUES (NULL, 'IPTV');
INSERT INTO `cableowl`.`co_servicetypes` (`id`, `name`) VALUES (NULL, 'Other');

COMMIT;

-- -----------------------------------------------------
-- Data for table `cableowl`.`co_cashtypes`
-- -----------------------------------------------------
START TRANSACTION;
USE `cableowl`;
INSERT INTO `cableowl`.`co_cashtypes` (`id`, `typename`) VALUES (NULL, 'Cash money');

COMMIT;


CREATE TABLE IF NOT EXISTS `co_weblogs` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `date` datetime NOT NULL,
  `admin` varchar(45) DEFAULT NULL,
  `ip` varchar(64) DEFAULT NULL,
  `event` varchar(255) DEFAULT NULL,
  PRIMARY KEY (`id`),
  KEY `date` (`date`)

) ENGINE=MyISAM  DEFAULT CHARSET=utf8 AUTO_INCREMENT=1;