<?php
if (cfr('BUILDS')) {
    
    function web_BuildsList() {
        $street=new CableOwlStreet();
        $allstreets=$street->getAll();
        $build=new CableOwlBuild();
        $allbuilds=$build->getAll();
        
                
        $cells= wf_TableCell(__('ID'));
        $cells.=wf_TableCell(__('Street'));
        $cells.=wf_TableCell(__('Building'));
        $cells.=wf_TableCell(__('Actions'));
        $rows=  wf_TableRow($cells, 'row1');
        
        if (!empty($allbuilds)) {
            foreach ($allbuilds as $id=>$each) {
                $cells= wf_TableCell($id);
                $cells.=wf_TableCell(@$allstreets[$each['streetid']]['name']);
                $cells.=wf_TableCell($each['number']);
                $actionlinks=  wf_JSAlert("?module=builds&delete=".$id, web_delete_icon(), __('Removing this may lead to irreparable results'));
                $actionlinks.= wf_JSAlert("?module=builds&edit=".$id, web_edit_icon(), __('Are you serious').'?');
                $cells.=wf_TableCell($actionlinks);
                $rows.= wf_TableRow($cells, 'row3');
            }
        }
        
        $result=  wf_TableBody($rows, '100%', 0, 'sortable');
        return ($result);
    }
    
     function web_BuildsListByStreet($streetid) {
        $streetid=vf($streetid,3);
        $street=new CableOwlStreet();
        $allstreets=$street->getAll();
        $build=new CableOwlBuild();
        $allbuilds=$build->getAll();
                
        $cells= wf_TableCell(__('ID'));
        $cells.=wf_TableCell(__('Street'));
        $cells.=wf_TableCell(__('Building'));
        $cells.=wf_TableCell(__('Actions'));
        $rows=  wf_TableRow($cells, 'row1');
        
        if (!empty($allbuilds)) {
            foreach ($allbuilds as $id=>$each) {
                //only for some street
                if ($each['streetid']==$streetid) {
                $cells= wf_TableCell($id);
                $cells.=wf_TableCell(@$allstreets[$each['streetid']]['name']);
                $cells.=wf_TableCell($each['number']);
                $actionlinks=  wf_JSAlert("?module=builds&delete=".$id, web_delete_icon(), __('Removing this may lead to irreparable results'));
                $actionlinks.= wf_JSAlert("?module=builds&edit=".$id, web_edit_icon(), __('Are you serious').'?');
                $cells.=wf_TableCell($actionlinks);
                $rows.= wf_TableRow($cells, 'row3');
                }
            }
        }
        
        $result=  wf_TableBody($rows, '100%', 0, 'sortable');
        return ($result);
    }
    
    function web_BuildAddForm() {
        
        $inputs=  wf_TextInput('newbuildnum', __('Building number'), '', false, '10');
        $inputs.= wf_Submit(__('Create'));
        $result=  wf_Form("", 'POST', $inputs, 'glamour');
        return ($result);
    }
    
    function web_BuildEditForm($buildid) {
        $build = new CableOwlBuild();
        $build->setId($buildid);
        $build->load();
        $streetid=$build->getStreetId();
                
        $result=  wf_Link("?module=builds&streetid=".$streetid, __('Back'), true, 'ubButton');
        $inputs=  wf_TextInput('editbuildnum', __('Building number'), $build->getNumber(), false, '10');
        $inputs.= wf_Submit(__('Save'));
        $result.=  wf_Form("", 'POST', $inputs, 'glamour');

        return ($result);
    }

    
    /*
     * Controls
     */
    //creation
    if (wf_CheckPost(array('newbuildnum'))) {
        if (wf_CheckGet(array('streetid'))) {
            $newbuild=new CableOwlBuild();
            $newbuild->setStreetId($_GET['streetid']);
            $newbuild->setNumber($_POST['newbuildnum']);
            $newbuild->create();
            rcms_redirect("?module=builds&streetid=".$_GET['streetid']);
        }
        
    }
    
    //deletion
    if (wf_CheckGet(array('delete'))) {
        $deletebuild=new CableOwlBuild();
        $deletebuild->setId($_GET['delete']);
        $deletebuild->load();
        $streetid=$deletebuild->getStreetId();
        $deletebuild->delete();
        rcms_redirect("?module=builds&streetid=".$streetid);
    }
    
    /*
     * Interfaces
     */
    if (wf_CheckGet(array('edit'))) {
        //edit
        if (wf_CheckPost(array('editbuildnum'))) {
            $editbuild=new CableOwlBuild();
            $editbuild->setId($_GET['edit']);
            $editbuild->load();
            $editbuild->setNumber($_POST['editbuildnum']);
            $editbuild->save();
            $streetid=$editbuild->getStreetId();
            rcms_redirect("?module=builds&streetid=".$streetid);
        }
        
        show_window(__('Edit building'),web_BuildEditForm($_GET['edit']));
        
    } else {
        show_window(__('Create new building'), web_BuildAddForm());
        if (wf_CheckGet(array('streetid'))) {
           $street=new CableOwlStreet();
           $street->setId($_GET['streetid']);
           $street->load();
           $streetname=$street->getName();
           show_window(__('Available buildings').' '.__('at street').' '.$streetname,  web_BuildsListByStreet($_GET['streetid'])); 
        } else {
          show_window(__('Available buildings'),web_BuildsList());
        }
    }
    
} else {
    show_error(__('Access denied'));
}


?>
