<?php
if (cfr('STREETS')) {
    
    function web_StreetsList() {
        $street=new CableOwlStreet();
        $allstreets=$street->getAll();
        $city=new CableOwlCity;
        $allcities=$city->getAll();
        
        $cells= wf_TableCell(__('ID'));
        $cells.=wf_TableCell(__('City'));
        $cells.=wf_TableCell(__('Street'));
        $cells.=wf_TableCell(__('Actions'));
        $rows=  wf_TableRow($cells, 'row1');
        
        if (!empty($allstreets)) {
            foreach ($allstreets as $id=>$each) {
                $cells= wf_TableCell($id);
                $cells.=wf_TableCell(@$allcities[$each['cityid']]);
                $cells.=wf_TableCell($each['name']);
                $actionlinks=  wf_JSAlert("?module=streets&delete=".$id, web_delete_icon(), __('Removing this may lead to irreparable results'));
                $actionlinks.= wf_JSAlert("?module=streets&edit=".$id, web_edit_icon(), __('Are you serious').'?');
                $actionlinks.= wf_Link("?module=builds&streetid=".$id, web_build_icon(__('Buildings')), false, '');
                $cells.=wf_TableCell($actionlinks);
                $rows.= wf_TableRow($cells, 'row3');
            }
        }
        
        $result=  wf_TableBody($rows, '100%', 0, 'sortable');
        return ($result);
    }
    
    function web_StreetAddForm() {
        $city=new CableOwlCity();
        $allcities=$city->getAll();
        
        $inputs=  wf_Selector('newstreetcity', $allcities, __('City'), '', false);
        $inputs.= wf_TextInput('newstreetname', __('Street name'), '', false, '15');
        $inputs.= wf_Submit(__('Create'));
        $result=  wf_Form("", 'POST', $inputs, 'glamour');
        return ($result);
    }
    
    function web_StreetEditForm($streetid) {
        $city=new CableOwlCity();
        $allcities=$city->getAll();
        
        $street=new CableOwlStreet();
        $street->setId($streetid);
        $street->load();
        
        $result=  wf_Link("?module=streets", __('Back'), true, 'ubButton');
        $inputs= wf_Selector('editstreetcity', $allcities, __('City'), $street->getCityId(), false);
        $inputs.= wf_TextInput('editstreetname', __('Street name'), $street->getName(), false, '15');
        $inputs.= wf_Submit(__('Save'));
        $result.=  wf_Form("", 'POST', $inputs, 'glamour');

        return ($result);
    }

    
    /*
     * Controls
     */
    //creation
    if (wf_CheckPost(array('newstreetcity','newstreetname'))) {
        $newstreet=new CableOwlStreet();
        $newstreet->setCityId($_POST['newstreetcity']);
        $newstreet->setName($_POST['newstreetname']);
        $newstreet->create();
        rcms_redirect("?module=streets");
    }
    
    //deletion
    if (wf_CheckGet(array('delete'))) {
        $protected=new CableOwlProtected();
        if (!$protected->street($_GET['delete'])) {
        $deletestreet=new CableOwlStreet();
        $deletestreet->setId($_GET['delete']);
        $deletestreet->delete();
       // rcms_redirect("?module=streets");
        } else {
        show_window(__('Error'), __('You can not delete the street if it has existing buildings'));
        }
    }
    
    /*
     * Interfaces
     */
    if (wf_CheckGet(array('edit'))) {
        //edit
        if (wf_CheckPost(array('editstreetcity','editstreetname'))) {
            $editstreet=new CableOwlStreet();
            $editstreet->setId($_GET['edit']);
            $editstreet->setCityId($_POST['editstreetcity']);
            $editstreet->setName($_POST['editstreetname']);
            $editstreet->save();
            rcms_redirect("?module=streets");
        }
        
        show_window(__('Edit street'),web_StreetEditForm($_GET['edit']));
        
    } else {
        show_window(__('Create new street'), web_StreetAddForm());
        show_window(__('Available streets'),web_StreetsList());
    }
    
} else {
    show_error(__('Access denied'));
}


?>
